notepad_core_platform_interface 1.3.0

  • Readme
  • Changelog
  • Installing
  • new60

notepad_core_platform_interface #

A new Flutter package project.

Getting Started #

This project is a starting point for a Dart package, a library module containing code that can be shared easily across multiple Flutter or Dart projects.

For help getting started with Flutter, view our online documentation, which offers tutorials, samples, guidance on mobile development, and a full API reference.

[1.3.0] - 2019-12-23

NotepadCorePlatform #

  • Add requestMtu
  • Append writeValue with optional BleOutputProperty
  • Add requestConnectionPriority & BleConnectionPriority

[1.2.0] - 2019-12-21

NotepadCorePlatform #

  • Add isBluetoothAvailable
  • Notify BluetoothState through messageHandler
  • Add BleInputProperty to setNotifiable

[1.1.0] - 2019-12-20

NotepadCorePlatform #

Operate service/characteristic #

  • readValue
  • inputValueStream
  • Add NotapadConnectionState.awaitConfirm

[1.0.0] - 2019-12-19

NotepadCorePlatform #

Scan/Request device #

  • requestDevice for Web
  • startScan, stopScan, scanResultStream for Android/iOS

Connect/Disconnect device #

  • connect, disconnect
  • messageHandler for connection state change event

Operate service/characteristic #

  • setNotifiable
  • writeValue

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  notepad_core_platform_interface: ^1.3.0

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:notepad_core_platform_interface/notepad_core_platform_interface.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
24
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
90
Overall:
Weighted score of the above. [more]
60
Learn more about scoring.

We analyzed this package on Jan 16, 2020, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.7.0
  • pana: 0.13.4
  • Flutter: 1.12.13+hotfix.5

Health suggestions

Fix lib/method_channel_notepad_core.dart. (-0.50 points)

Analysis of lib/method_channel_notepad_core.dart reported 1 hint:

line 141 col 19: This function has a return type of 'Future', but doesn't end with a return statement.

Format lib/notepad_core_platform_interface.dart.

Run flutter format to format lib/notepad_core_platform_interface.dart.

Maintenance suggestions

Maintain an example. (-10 points)

Create a short demo in the example/ directory to show how to use this package.

Common filename patterns include main.dart, example.dart, and notepad_core_platform_interface.dart. Packages with multiple examples should provide example/README.md.

For more information see the pub package layout conventions.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.1.0 <3.0.0
convert ^2.1.1 2.1.1
flutter 0.0.0
plugin_platform_interface ^1.0.1 1.0.1
Transitive dependencies
charcode 1.1.2
collection 1.14.11 1.14.12
meta 1.1.8
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8
Dev dependencies
flutter_test